// CmdHairline.cpp - This file is part of QPlot

/* QPlot - Publication quality 2D graphs with dual coordinate systems
   Copyright (C) 2014  Daniel Wagenaar
  
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// CmdHairline.C

#include "CmdHairline.H"

static CBuilder<CmdHairline> cbHairline("hairline");

bool CmdHairline::usage() {
  return error("Usage: hairline width");
}

bool CmdHairline::parse(Statement const &s) {
  if (s.length()==2 && s[1].typ==Token::NUMBER)
    return true;
  else
    return usage();
}


void CmdHairline::render(Statement const &s, Figure &f, bool) {
  f.setHairline(s[1].num);
}
